

# Struct fir\_state\_t



[**ClassList**](annotated.md) **>** [**fir\_state\_t**](structfir__state__t.md)





* `#include <fir_core.h>`





















## Public Attributes

| Type | Name |
| ---: | :--- |
|  float complex \* | [**delay**](#variable-delay)  <br> |
|  size\_t | [**num\_taps**](#variable-num_taps)  <br> |
|  float \* | [**rtaps**](#variable-rtaps)  <br> |
|  float complex \* | [**scratch**](#variable-scratch)  <br> |
|  size\_t | [**scratch\_cap**](#variable-scratch_cap)  <br> |
|  float complex \* | [**taps**](#variable-taps)  <br> |












































## Public Attributes Documentation




### variable delay 

```C++
float complex* fir_state_t::delay;
```




<hr>



### variable num\_taps 

```C++
size_t fir_state_t::num_taps;
```




<hr>



### variable rtaps 

```C++
float* fir_state_t::rtaps;
```




<hr>



### variable scratch 

```C++
float complex* fir_state_t::scratch;
```




<hr>



### variable scratch\_cap 

```C++
size_t fir_state_t::scratch_cap;
```




<hr>



### variable taps 

```C++
float complex* fir_state_t::taps;
```




<hr>

------------------------------
The documentation for this class was generated from the following file `native/inc/fir/fir_core.h`

